struct VDEentry {
	char	text[48];

	short	xpos,		/* where to print these things */
		ypos;

	long	min,		/* for numerix */
		max;		/* for numerix */

	short	length,		/* for string entry, field size */
				/* for bit boolean, which bit? */

		type;		/* 0 = UBYTE 0/1
				   1 = ULONG BIT 0/1
				   2 = Text
				   3 = BYTE numeric
				   4 = short numeric
				   5 = USHORT numeric
				   6 = long numeric 		*/

	long	offset;		/* position in structure */

	short	screen0,	/* belongs-to screen */
		screen2;	/* goes-to screen, -1 for exit */

	short	goup,		/* VDEentry for movement */
		godown,
		goleft,
		goright;

	short	ghost;		/* ghost for uz[] flags set */
};

void main( void )
{
	BPTR	fh;

struct VDEentry ved[] = {
	{"<< Previous screen   ", 1, 5,			/* 0 */
		0, 0, 0, 
		-1, 0,
		1, 0,
		1, 2, 0, 0 ,0},

	{"<< Exit              ", 1, 4,			/* 1 */
		0, 0, 0,
		-1, 0,
		1, -10,
		19, 0, 1, 1 ,0},

	{"SYSTEM OPERATOR     :", 1, 6,			/* 2 */
		0, 0, 4,
		1,32+12,
		1,1,
		0, 3, 38, 20 ,2},

	{"Send EMail          :", 1, 7,			/* 3 */
		0, 0, 0, 
		1,32+12,
		1,1,
		2, 4, 39, 21 ,0},

	{"Receive EMail       :", 1, 8,			/* 4 */
		0, 0, 27, 
		1,32+12,
		1,1,
		3, 5, 40, 22 ,0},

	{"Set mail expiration :", 1, 9,		/* 5 */
		0, 0, 8, 
		1,32+12,
		1,1,
		4, 6, 41, 23 ,0},

	{"Send bulk mail      :", 1, 10,		/* 6 */
		0, 0, 9, 
		1,32+12,
		1,1,
		5, 7, 42, 24 ,0},

	{"Send party mail     :", 1, 11,		/* 7 */
		0, 0, 10, 
		1,32+12,
		1,1,
		6, 8, 79, 25 ,0},

	{"Send urgent mail    :", 1, 12,		/* 8 */
		0, 0, 11, 
		1,32+12,
		1,1,
		7, 9, 80, 26 ,0},

	{"Forward mail        :", 1, 13,		/* 9 */
		0, 0, 28, 
		1,32+12,
		1,1,
		8, 10, 82, 27 ,0},

	{"Use the Pfiles      :", 1, 14,		/* 10 */
		0, 0, 1, 
		1,32+12,
		1,1,
		9, 11, 83, 28 ,0},

	{"Use the Gfiles      :", 1, 15,		/* 11 */
		0, 0, 2, 
		1,32+12,
		1,1,
		10, 12, 84, 29 ,0},

	{"Use the UserList    :", 1, 16,		/* 12 */
		0, 0, 3, 
		1,32+12,
		1,1,
		11, 13, 85, 30 ,0},

	{"Conference          :", 1, 17,		/* 13 */
		0, 0, 22, 
		1,32+12,
		1,1,
		12, 14, 86, 31 ,0},

	{"MCI level 1         :", 1, 18,		/* 14 */
		0, 0, 24, 
		1,32+12,
		1,1,
		13, 15, 32, 32 ,0},

	{"MCI level 2         :", 1, 19,		/* 15 */
		0, 0, 25, 
		1,32+12,
		1,1,
		14, 16, 33, 33 ,0},

	{"Relogon             :", 1, 20,		/* 16 */
		0, 0, 26, 
		1,32+12,
		1,1,
		15, 17, 34, 34 ,0},

	{"Bypass bbsevents    :", 1, 21,		/* 17 */
		0, 0, 12, 
		1,32+12,
		1,1,
		16, 18, 35, 35 ,0},

	{"Alias msg authors   :", 1, 22,		/* 18 */
		1666, 3, 3, 
		9,32+66,
		1,1,
		17, 19, 36, 36 ,0},

	{"Adopt orphans       :", 1, 23,		/* 19 */
		0, 0, 13, 
		1,32+12,
		1,1,
		18, 1, 37, 37 ,0},

	{"Read private msgs   :", 27, 6,		/* 20 */
		0, 0, 14, 
		1,32+12,
		1,1,
		37, 21, 2, 38 ,0},

	{"Kill/edit any file  :", 27, 7,		/* 21 */
		0, 0, 15, 
		1,32+12,
		1,1,
		20, 22, 3, 39 ,0},

	{"Kill/edit own files :", 27, 8,		/* 22 */
		1666, 3, 3, 
		9,32+67,
		1,1,
		21, 23, 4, 40 ,0},

	{"Skip file validation:", 27, 9,		/* 23 */
		0, 0, 18, 
		1,32+12,
		1,1,
		22, 24, 5, 41 ,0},

	{"Write anonymously   :", 27, 10,		/* 24 */
		1666, 3, 3,
		9,32+68,
		1,1,
		23, 25, 6, 42 ,0},

	{"Trace anonymous     :", 27, 11,		/* 25 */
		0, 0, 20, 
		1,32+12,
		1,1,
		24, 26, 7, 79 ,0},

	{"Private messages    :", 27, 12,		/* 26 */
		1666, 3, 3, 
		9,32+69,
		1,1,
		25, 27, 8, 80 ,0},

	{"Conference control  :", 27, 13,		/* 27 */
		0, 0, 23, 
		1,32+12,
		1,1,
		26, 28, 9, 82 ,0},

	{"Infinite file credit:", 27, 14,		/* 28 */
		0, 0, 6, 
		1,32+12,
		1,1,
		27, 29, 10, 83 ,0},

	{"Infinite byte credit:", 27, 15,		/* 29 */
		0, 0, 7, 
		1,32+12,
		1,1,
		28, 30, 11, 84 ,0},

	{"AutoCallBack @ logon:", 27, 16,		/* 30 */
		138, 3, 3, 
		9,32+78,
		1,1,
		29, 31, 12, 85 ,0},

	{"TimeLock exempt     :", 27, 17,		/* 31 */
		0, 0, 31, 
		1,32+12,
		1,1,
		30, 32, 13, 86 ,0},

	{"Add new vote topics :", 27, 18,		/* 32 */
		0, 0, 29, 
		1,32+12,
		1,1,
		31, 33, 14, 14 ,0},

	{"Add new vote choices:", 27, 19,		/* 33 */
		0, 0, 30, 
		1,32+12,
		1,1,
		32, 34, 15, 15 ,0},

	{"Kill/Edit vote topic:", 27, 20,		/* 34 */
		0, 0, 8, 
		1,32+60,
		1,1,
		33, 35, 16, 16 ,0},

	{"Edit handle         :", 27, 21,		/* 35 */
		0, 0, 0, 
		1,32+60,
		1,1,
		34, 36, 17, 17 ,0},

	{"Edit name, bday, sex:", 27, 22,		/* 36 */
		0, 0, 1, 
		1,32+60,
		1,1,
		35, 37, 18, 18 ,0},

	{"Edit address, st/zip:", 27, 23,		/* 37 */
		0, 0, 2, 
		1,32+60,
		1,1,
		36, 20, 19, 19 ,0},

	{"Edit voice phone#   :", 53, 6,		/* 38 */
		0, 0, 3, 
		1,32+60,
		1,1,
		86, 39, 20, 2 ,0},

	{"Edit data phone#    :", 53, 7,		/* 39 */
		0, 0, 4, 
		1,32+60,
		1,1,
		38, 40, 21, 3 ,0},

	{"Allow WHO banner    :", 53, 8,		/* 40 */
		0, 0, 5, 
		1,32+60,
		1,1,
		39, 41, 22, 4 ,0},

	{"Use JoinLink        :", 53, 9,		/* 41 */
		0, 0, 6, 
		1,32+60,
		1,1,
		40, 42, 23, 5 ,0},

	{"Monitor another port:", 53, 10,		/* 42 */
		0, 0, 7, 
		1,32+60,
		1,1,
		41, 79, 24, 6 ,0},

	{"<< Exit              ", 1, 4,		/* 43 */
		0, 0, 0,
		-1, 0,
		0, -10,
		47, 45, 43, 43 ,0},

	{"Access group number :", 1, 2,		/* 44, non edit */
		0, 0, -1,
		16+6, 1806,			/* port data UZ[0] */
		0, 0,
		0, 0, 0, 0 ,0},

	{"Access group title  :", 1, 6,		/* 45 */
		0, 0, 31,
		2, 0,
		0, 0,
		43, 46, 45, 45 ,0},

	{"Edit privileges    >>", 1, 8,		/* 46 */
		0, 0, 0,
		-1, 0,
		0, 1,
		45, 47, 46, 46 ,0},

	{"Edit limits/ratios >>", 1, 9,		/* 47 */
		0, 0, 0,
		-1, 0,
		0, 2,
		46, 43, 47, 47 ,0},

	{"<< Previous screen   ", 1, 5,			/* 48 */
		0, 0, 0,
		-1, 0,
		2, 0,
		49, 50, 48, 48 ,0},

	{"<< Exit              ", 1, 4,			/* 49 */
		0, 0, 0,
		-1, 0,
		2, -10,
		72, 48, 49, 49 ,0},

	{"Message base flags  :", 1, 7,		/* 50 */
		0, 0, 40,
		8, 32,
		2, 2,
		48, 51, 50, 50 ,0},

	{"File base flags     :", 1, 8,		/* 51 */
		0, 0, 40,
		8, 36,
		2, 2,
		50, 52, 51, 51 ,0},

	{"Gfile/Pfile flags   :", 1, 9,		/* 52 */
		0, 0, 40,
		8, 40,
		2, 2,
		51, 81, 52, 52 ,0},

	{"Calls/day (0-999)   :", 40, 12,		/* 53 */
		0, 999, 3,
		4, 64,
		2, 2,
		78, 54, 63, 63 ,0},

	{"Min/call  (5-999)   :", 40, 13,		/* 54 */
		5, 999, 3,
		4, 66,
		2, 2,
		53, 55, 64, 64 ,0},

	{"Mins/day  (0-999)   :", 40, 14,		/* 55 */
		0, 999, 3,
		4, 68,
		2, 2,
		54, 56, 65, 65 ,0},

	{"Mins idle (0-999)   :", 40, 15,		/* 56 */
		0, 999, 3,
		4, 80,
		2, 2,
		55, 57, 66, 66 ,0},

	{"Messages/call       :", 40, 16,		/* 57 */
		0, 999, 3,
		4, 74,
		2, 2,
		56, 58, 67, 67 ,0},

	{"Feedbacks/call      :", 40, 17,		/* 58 */
		0, 999, 3,
		4, 76,
		2, 2,
		57, 59, 68, 68 ,0},

	{"Editor lines        :", 40, 18,		/* 59 */
		0, 9999, 4,
		4, 78,
		2, 2,
		58, 60, 69, 69 ,0},

	{"Maximum email (KB)  :", 40, 19,		/* 60 */
		0, 999, 3,
		4, 82,
		2, 2,
		59, 61, 70, 70 ,0},

	{"Inactivity days     :", 40, 20,		/* 61 */
		0, 9999, 4,
		4, 84,
		2, 2,
		60, 62, 71, 71 ,0},

	{"Lines per signature :", 40, 21,		/* 62 */
		0, 99, 2,
		4, 96,
		2, 2,
		61, 77, 72, 72 ,0},

	{"Downloads/day       :", 1, 12,		/* 63 */
		0, 9999, 4,
		4, 70,
		2, 2,
		81, 64, 53, 53 ,0},

	{"DownBytes/day       :", 1, 13,		/* 64 */
		0, 999999999, 9,
		6, 48,
		2, 2,
		63, 65, 54, 54 ,0},

	{"Uploads/day         :", 1, 14,		/* 65 */
		0, 9999, 4,
		4, 72,
		2, 2,
		64, 66, 55, 55 ,0},

	{"UpBytes/day         :", 1, 15,		/* 66 */
		0, 999999999, 9,
		6, 52,
		2, 2,
		65, 67, 56, 56 ,0},

	{"File credit ratio 1 :", 1, 16,		/* 67 */
		0, 99, 2,
		3, 86,
		2, 2,
		66, 68, 57, 57 ,0},

	{"Byte credit ratio 1 :", 1, 17,		/* 68 */
		0, 99, 2,
		3, 87,
		2, 2,
		67, 69, 58, 58 ,0},

	{"File credit ratio 2 :", 1, 18,		/* 69 */
		0, 99, 2,
		3, 88,
		2, 2,
		68, 70, 59, 59 ,0},

	{"Byte credit ratio 2 :", 1, 19,		/* 70 */
		0, 99, 2,
		3, 89,
		2, 2,
		69, 71, 60, 60 ,0},

	{"File credit ratio 3 :", 1, 20,		/* 71 */
		0, 99, 2,
		3, 90,
		2, 2,
		70, 72, 61, 61 ,0},

	{"Byte credit ratio 3 :", 1, 21,		/* 72 */
		0, 99, 2,
		3, 91,
		2, 2,
		71, 49, 62, 62 ,0},

	{"", 1, 22,					/* 73 */
		0, 999999999, 9,
		6, 60,
		-20, -20,
		72, 74, 77, 77 ,0},

	{"", 1, 23,					/* 74 */
		0, 999999999, 9,
		6, 56,
		-20, -20,
		73, 49, 78, 78 ,0},

	{"Save changes         ", 1, 5,		/* 75 */
		0,0,0,
		-1,0,
		10,-1,
		75,75,76,76 ,0},

	{"Exit without saving  ", 23, 5,		/* 76 */
		0,0,0,
		-1,0,
		10,-2,
		76,76,75,75,0 },

	{"Daily pfile minutes :", 40, 22,		/* 77 */
		0, 999, 3,
		4, 32+70,
		2, 2,
		62, 78, 77, 77 ,0},

	{"Send log to user #  :", 40, 23,		/* 78 */
		0, 9999, 4,
		4, 32+72,
		2, 2,
		77, 53, 78, 78 ,0},

	{"Alarm sysop  @ logon:", 53, 11,		/* 79 */
		0, 0, 9, 
		1,32+60,
		1,1,
		42, 80, 25, 7 ,0},

	{"Open screen  @ logon:", 53, 12,		/* 80 */
		0, 0, 10, 
		1,32+60,
		1,1,
		79, 82, 26, 8 ,0},

	{"Log verbosity flags :", 1, 10,		/* 81 */
		0,0,40,
		8, 32+74,
		2,2,
		52,63,81,81 },

	{"Open capture @ logon:", 53, 13,		/* 82 */
		0, 0, 11,
		1,32+60,
		1,1,
		80, 83, 27, 9 ,0},

	{"Send FIDO NetMail   :", 53, 14,		/* 83 */
		0, 0, 12,
		1,32+60,
		1,1,
		82, 84, 28, 10 ,0},

	{"FIDO FREQ and FSEND :", 53, 15,		/* 84 */
		0, 0, 13,
		1,32+60,
		1,1,
		83, 85, 29, 11,0},

	{"NetMail ANY address :", 53, 16,		/* 85 */
		0, 0, 14,
		1,32+60,
		1,1,
		84, 86, 30, 12 ,0},

	{"Receive DL rewards  :", 53, 17,		/* 86 */
		0, 0, 5,
		1,32+12,
		1,1,
		85, 38, 31, 13 ,0},
};

struct VDEentry ved2[] = {
	{"<< Previous screen   ", 1, 5,			/* 0 */
		0, 0, 0, 
		-1, 0,
		1, 0,
		1, 2, 0, 0 ,0},

	{"<< Exit              ", 1, 4,			/* 1 */
		0, 0, 0,
		-1, 0,
		1, -10,
		19, 0, 1, 1 ,0},

	{"SYSTEM OPERATOR     :", 1, 6,			/* 2 */
		0, 0, 4,
		1,580+12,
		1,1,
		0, 3, 38, 20 ,2},

	{"Send EMail          :", 1, 7,			/* 3 */
		0, 0, 0, 
		1,580+12,
		1,1,
		2, 4, 39, 21 ,0},

	{"Receive EMail       :", 1, 8,			/* 4 */
		0, 0, 27, 
		1,580+12,
		1,1,
		3, 5, 40, 22 ,0},

	{"Set mail expiration :", 1, 9,		/* 5 */
		0, 0, 8, 
		1,580+12,
		1,1,
		4, 6, 41, 23 ,0},

	{"Send bulk mail      :", 1, 10,		/* 6 */
		0, 0, 9, 
		1,580+12,
		1,1,
		5, 7, 42, 24 ,0},

	{"Send party mail     :", 1, 11,		/* 7 */
		0, 0, 10, 
		1,580+12,
		1,1,
		6, 8, 154, 25 ,0},

	{"Send urgent mail    :", 1, 12,		/* 8 */
		0, 0, 11, 
		1,580+12,
		1,1,
		7, 9, 155, 26 ,0},

	{"Forward mail        :", 1, 13,		/* 9 */
		0, 0, 28, 
		1,580+12,
		1,1,
		8, 10, 157, 27 ,0},

	{"Use the Pfiles      :", 1, 14,		/* 10 */
		0, 0, 1, 
		1,580+12,
		1,1,
		9, 11, 158, 28 ,0},

	{"Use the Gfiles      :", 1, 15,		/* 11 */
		0, 0, 2, 
		1,580+12,
		1,1,
		10, 12, 159, 29 ,0},

	{"Use the UserList    :", 1, 16,		/* 12 */
		0, 0, 3, 
		1,580+12,
		1,1,
		11, 13, 160, 30 ,0},

	{"Conference          :", 1, 17,		/* 13 */
		0, 0, 22, 
		1,580+12,
		1,1,
		12, 14, 43, 31 ,0},

	{"MCI level 1         :", 1, 18,		/* 14 */
		0, 0, 24, 
		1,580+12,
		1,1,
		13, 15, 32, 32 ,0},

	{"MCI level 2         :", 1, 19,		/* 15 */
		0, 0, 25, 
		1,580+12,
		1,1,
		14, 16, 33, 33 ,0},

	{"Relogon             :", 1, 20,		/* 16 */
		0, 0, 26, 
		1,580+12,
		1,1,
		15, 17, 34, 34 ,0},

	{"Bypass bbsevents    :", 1, 21,		/* 17 */
		0, 0, 12, 
		1,580+12,
		1,1,
		16, 18, 35, 35 ,0},

	{"Alias msg authors   :", 1, 22,		/* 18 */
		1666, 3, 3, 
		9,580+66,
		1,1,
		17, 19, 36, 36 ,0},

	{"Adopt orphans       :", 1, 23,		/* 19 */
		0, 0, 13, 
		1,580+12,
		1,1,
		18, 1, 37, 37 ,0},

	{"Read private msgs   :", 27, 6,		/* 20 */
		0, 0, 14, 
		1,580+12,
		1,1,
		37, 21, 2, 38 ,0},

	{"Kill/edit any file  :", 27, 7,		/* 21 */
		0, 0, 15, 
		1,580+12,
		1,1,
		20, 22, 3, 39 ,0},

	{"Kill/edit own files :", 27, 8,		/* 22 */
		1666, 3, 3, 
		9,580+67,
		1,1,
		21, 23, 4, 40 ,0},

	{"Skip file validation:", 27, 9,		/* 23 */
		0, 0, 18, 
		1,580+12,
		1,1,
		22, 24, 5, 41 ,0},

	{"Write anonymously   :", 27, 10,		/* 24 */
		1666, 3, 3, 
		9,580+68,
		1,1,
		23, 25, 6, 42 ,0},

	{"Trace anonymous     :", 27, 11,		/* 25 */
		0, 0, 20, 
		1,580+12,
		1,1,
		24, 26, 7, 154 ,0},

	{"Private messages    :", 27, 12,		/* 26 */
		1666, 3, 3, 
		9,580+69,
		1,1,
		25, 27, 8, 155 ,0},

	{"Conference control  :", 27, 13,		/* 27 */
		0, 0, 23, 
		1,580+12,
		1,1,
		26, 28, 9, 157 ,0},

	{"Infinite file credit:", 27, 14,		/* 28 */
		0, 0, 6, 
		1,580+12,
		1,1,
		27, 29, 10, 158 ,0},

	{"Infinite byte credit:", 27, 15,		/* 29 */
		0, 0, 7, 
		1,580+12,
		1,1,
		28, 30, 11, 159 ,0},

	{"AutoCallBack @ logon:", 27, 16,		/* 30 */
		138, 3, 3, 
		9,580+78,
		1,1,
		29, 31, 12, 160 ,0},

	{"TimeLock exempt     :", 27, 17,		/* 31 */
		0, 0, 31, 
		1,580+12,
		1,1,
		30, 32, 13, 43 ,0},

	{"Add new vote topics :", 27, 18,		/* 32 */
		0, 0, 29, 
		1,580+12,
		1,1,
		31, 33, 14, 14 ,0},

	{"Add new vote choices:", 27, 19,		/* 33 */
		0, 0, 30, 
		1,580+12,
		1,1,
		32, 34, 15, 15 ,0},

	{"Kill/Edit vote topic:", 27, 20,		/* 34 */
		0, 0, 8, 
		1,580+60,
		1,1,
		33, 35, 16, 16 ,0},

	{"Edit handle         :", 27, 21,		/* 35 */
		0, 0, 0, 
		1,580+60,
		1,1,
		34, 36, 17, 17 ,0},

	{"Edit name, bday, sex:", 27, 22,		/* 36 */
		0, 0, 1, 
		1,580+60,
		1,1,
		35, 37, 18, 18 ,0},

	{"Edit address, st/zip:", 27, 23,		/* 37 */
		0, 0, 2, 
		1,580+60,
		1,1,
		36, 20, 19, 19 ,0},

	{"Edit voice phone#   :", 53, 6,		/* 38 */
		0, 0, 3, 
		1,580+60,
		1,1,
		43, 39, 20, 2 ,0},

	{"Edit data phone#    :", 53, 7,		/* 39 */
		0, 0, 4, 
		1,580+60,
		1,1,
		38, 40, 21, 3 ,0},

	{"Allow WHO banner    :", 53, 8,		/* 40 */
		0, 0, 5, 
		1,580+60,
		1,1,
		39, 41, 22, 4 ,0},

	{"Use JoinLink        :", 53, 9,		/* 41 */
		0, 0, 6, 
		1,580+60,
		1,1,
		40, 42, 23, 5 ,0},

	{"Monitor another port:", 53, 10,		/* 42 */
		0, 0, 7, 
		1,580+60,
		1,1,
		41, 154, 24, 6 ,0},

	{"Receive DL rewards  :", 53, 17,		/* 43 */
		0, 0, 5,
		1,580+12,
		1,1,
		160, 38, 31, 13 ,0},

	{"", 0, 0,		/* 44 */
		0, 0, 0,
		-1, 0,
		-20, -20,
		0, 0, 0, 0 ,0},

	{"", 0, 0,		/* 45 */
		0, 0, 0,
		-1, 0,
		-20, -20,
		0, 0, 0, 0 ,0},

	{"", 0, 0,		/* 46 */
		0, 0, 0,
		-1, 0,
		-20, -20,
		0, 0, 0, 0 ,0},

	{"", 0, 0,		/* 47 */
		0, 0, 0,
		-1, 0,
		-20, -20,
		0, 0, 0, 0 ,0},

	{"<< Previous screen   ", 1, 5,			/* 48 */
		0, 0, 0,
		-1, 0,
		2, 0,
		49, 50, 48, 48 ,0},

	{"<< Exit              ", 1, 4,			/* 49 */
		0, 0, 0,
		-1, 0,
		2, -10,
		72, 48, 49, 49 ,0},

	{"Message base flags  :", 1, 7,		/* 50 */
		0, 0, 40,
		8, 580+0,
		2, 2,
		48, 51, 50, 50 ,0},

	{"File base flags     :", 1, 8,		/* 51 */
		0, 0, 40,
		8, 580+4,
		2, 2,
		50, 52, 51, 51 ,0},

	{"Gfile/Pfile flags   :", 1, 9,		/* 52 */
		0, 0, 40,
		8, 580+8,
		2, 2,
		51, 156, 52, 52 ,0},

	{"Calls/day (0-999)   :", 40, 12,		/* 53 */
		0, 999, 3,
		4, 580+32,
		2, 2,
		153, 54, 63, 63 ,0},

	{"Min/call  (5-999)   :", 40, 13,		/* 54 */
		5, 999, 3,
		4, 580+34,
		2, 2,
		53, 55, 64, 64 ,0},

	{"Mins/day  (0-999)   :", 40, 14,		/* 55 */
		0, 999, 3,
		4, 580+36,
		2, 2,
		54, 56, 65, 65 ,0},

	{"Mins idle (0-999)   :", 40, 15,		/* 56 */
		0, 999, 3,
		4, 580+48,
		2, 2,
		55, 57, 66, 66 ,0},

	{"Messages/call       :", 40, 16,		/* 57 */
		0, 999, 3,
		4, 580+42,
		2, 2,
		56, 58, 67, 67 ,0},

	{"Feedbacks/call      :", 40, 17,		/* 58 */
		0, 999, 3,
		4, 580+44,
		2, 2,
		57, 59, 68, 68 ,0},

	{"Editor lines        :", 40, 18,		/* 59 */
		0, 9999, 4,
		4, 580+46,
		2, 2,
		58, 60, 69, 69 ,0},

	{"Maximum email (KB)  :", 40, 19,		/* 60 */
		0, 999, 3,
		4, 580+50,
		2, 2,
		59, 61, 70, 70 ,0},

	{"Inactivity days     :", 40, 20,		/* 61 */
		0, 9999, 4,
		4, 580+52,
		2, 2,
		60, 62, 71, 71 ,0},

	{"Lines per signature :", 40, 21,		/* 62 */
		0, 99, 2,
		4, 580+64,
		2, 2,
		61, 152, 72, 72 ,0},

	{"Downloads/day       :", 1, 12,		/* 63 */
		0, 9999, 4,
		4, 580+38,
		2, 2,
		156, 64, 53, 53 ,0},

	{"DownBytes/day       :", 1, 13,		/* 64 */
		0, 999999999, 9,
		6, 580+16,
		2, 2,
		63, 65, 54, 54 ,0},

	{"Uploads/day         :", 1, 14,		/* 65 */
		0, 9999, 4,
		4, 580+40,
		2, 2,
		64, 66, 55, 55 ,0},

	{"UpBytes/day         :", 1, 15,		/* 66 */
		0, 999999999, 9,
		6, 580+20,
		2, 2,
		65, 67, 56, 56 ,0},

	{"File credit ratio 1 :", 1, 16,		/* 67 */
		0, 99, 2,
		3, 580+54,
		2, 2,
		66, 68, 57, 57 ,0},

	{"Byte credit ratio 1 :", 1, 17,		/* 68 */
		0, 99, 2,
		3, 580+55,
		2, 2,
		67, 69, 58, 58 ,0},

	{"File credit ratio 2 :", 1, 18,		/* 69 */
		0, 99, 2,
		3, 580+56,
		2, 2,
		68, 70, 59, 59 ,0},

	{"Byte credit ratio 2 :", 1, 19,		/* 70 */
		0, 99, 2,
		3, 580+57,
		2, 2,
		69, 71, 60, 60 ,0},

	{"File credit ratio 3 :", 1, 20,		/* 71 */
		0, 99, 2,
		3, 580+58,
		2, 2,
		70, 72, 61, 61 ,0},

	{"Byte credit ratio 3 :", 1, 21,		/* 72 */
		0, 99, 2,
		3, 580+59,
		2, 2,
		71, 49, 62, 62 ,0},

	{"", 1, 22,					/* 73 */
		0, 999999999, 9,
		6, 580+28,
		-20, -20,
		72, 74, 152, 152 ,0},

	{"", 1, 23,					/* 74 */
		0, 999999999, 9,
		6, 580+24,
		-20, -20,
		73, 49, 153, 153 ,0},

	{"Save changes         ", 1, 5,			/* 75 */
		0,0,0,
		-1,0,
		10,-1,
		75,75,76,76 ,0},

	{"Exit without saving  ", 23, 5,		/* 76 */
		0,0,0,
		-1,0,
		10,-2,
		76,76,75,75 ,0},

	{"User account number :", 1, 1,			/* 77, non edit */
		0, 0, -1,
		16+6, 1806,			/* port data UZ[0] */
		0, 0,
		0, 0, 0, 0 ,0},

	{"User serial ID #    :", 1, 2,			/* 78, non edit */
		1, 999999999, 9,
		6, 0,
		0, 0,
		93, 79, 78, 78 ,0},

	{"<< Exit              ", 1, 4,			/* 79 */
		0, 0, 0,
		-1, 0,
		0, -10,
		78, 80, 79, 79 ,0},

	{"Handle              :", 1, 6,			/* 80 */
		0, 0, 20,
		2, 4,
		0, 0,
		79, 81, 80, 80 ,0},

	{"Real name           :", 1, 7,			/* 81 */
		0, 0, 25,
		2, 25,
		0, 0,
		80, 132, 81, 81 ,0},

	{"Sysop comment       :", 1, 9,			/* 82 */
		0, 0, 33,
		2, 164,
		0, 0,
		132, 83, 82, 82 ,0},

	{"User banner         :", 1, 10,			/* 83 */
		0, 0, 42,
		2, 494,
		0, 0,
		82, 84, 83, 83 ,0},

	{"Address             :", 1, 11,		/* 84 */
		0, 0, 30,
		2, 51,
		0, 0,
		83, 85, 84, 84 ,0},

	{"City and State      :", 1, 12,		/* 85 */
		0, 0, 30,
		2, 82,
		0, 0,
		84, 86, 85, 85 ,0},

	{"Zip/postal code     :", 1, 13,		/* 86 */
		0, 0, 10,
		2, 113,
		0, 0,
		85, 87, 86, 86 ,0},

	{"Country             :", 1, 14,		/* 87 */
		0, 0, 3,
		2, 124,
		0, 0,
		86, 88, 94, 94 ,0},

	{"UUCP ID             :", 1, 15,		/* 88 */
		0, 0, 8,
		2, 478,
		0, 0,
		87, 151, 95, 95 ,0},

	{"High baud rate      :", 1, 17,		/* 89 */
		30, 6000, 5,
		5, 476,
		0, 0,
		151, 90, 96, 96 ,0},

	{"Birthday            :", 1, 18,		/* 90 */
		0, 0, 15,
		7, 342,
		0, 0,
		89, 91, 97, 97 ,0},

	{"Access group        :", 1, 19,		/* 91 */
		0, 23, 2,
		3, 378,
		0, 0,
		90, 92, 98, 98 ,0},

	{"Expiration date     :", 1, 20,		/* 92 */
		0, 0, 15,
		7, 556,
		0, 0,
		91, 93, 99, 99 ,0},

	{"Expiration access   :", 1, 21,		/* 93 */
		0, 23, 2,
		3, 379,
		0, 0,
		92, 78, 100, 100 ,0},

	{"Voice phone #       :", 40, 14,		/* 94 */
		0, 0, 16,
		2, 537,
		0, 0,
		101, 95, 87, 87 ,0},

	{"Data  phone #       :", 40, 15,		/* 95 */
		0, 0, 16,
		2, 132,
		0, 0,
		94, 96, 88, 88 ,0},

	{"Edit password      >>", 40, 17,		/* 96 */
		0, 0, 0,
		-1, 0,
		0, 3,
		95, 97, 89, 89 ,2},

	{"Credits/balances   >>", 40, 18,		/* 97 */
		0, 0, 0,
		-1, 0,
		0, 4,
		96, 98, 90, 90 ,0},

	{"Limits/ratios/flags>>", 40, 19,		/* 98 */
		0, 0, 0,
		-1, 0,
		0, 2,
		97, 99, 91, 91 ,0},

	{"Privilege flags    >>", 40, 20,		/* 99 */
		0, 0, 0,
		-1, 0,
		0, 1,
		98, 100, 92, 92 ,0},

	{"Preferences/term   >>", 40, 21,		/* 100 */
		0, 0, 0,
		-1, 0,
		0, 5,
		99, 101, 93, 93 ,0},

	{"KILL THIS ACCOUNT    ", 40, 23,		/* 101 */
		0, 0, 0,
		-1, 0,
		0, 8,
		100, 94, 101, 101 ,0},


	{"<< Previous screen   ", 1, 5,			/* 102 */
		0, 0, 0,
		-1, 0,
		3, 0,
		103, 104, 102, 102 ,0},

	{"<< Exit              ", 1, 4,			/* 103 */
		0, 0, 0,
		-1, 0,
		3, -10,
		104, 102, 103, 103 ,0},

	{"Password            :", 1, 7,			/* 104 */
		0,0,14,
		2,149,
		3,3,
		102,103,104,104 ,2},

	{"<< Previous screen   ", 1, 5,			/* 105 */
		0, 0, 0,
		-1, 0,
		4, 0,
		106, 107, 105, 105 ,0},

	{"<< Exit              ", 1, 4,			/* 106 */
		0, 0, 0,
		-1, 0,
		4, -10,
		116, 105, 106, 106 ,0},

	{"Uploads today       :",1,7,			/* 107 */
		0,9999,4,
		4,464,
		4,4,
		105,108,117,117 ,0},

	{"Downloads today     :",1,8,			/* 108 */
		0,9999,4,
		4,466,
		4,4,
		107,109,118,118 ,0},

	{"Total uploads       :",1,9,			/* 109 */
		0,999999999,9,
		6,420,
		4,4,
		108,110,119,119 ,0},

	{"Total downloads     :",1,10,			/* 110 */
		0,999999999,9,
		6,428,
		4,4,
		109,111,120,120 ,0},

	{"File Credits        :",1,11,			/* 111 */
		-999999999,999999999,10,
		6,432,
		4,4,
		110,112,121,121 ,0},

	{"Bytes uploaded today:",1,13,			/* 112 */
		0,999999999,9,
		6,456,
		4,4,
		111,113,122,122 ,0},

	{"Bytes dnloaded today:",1,14,			/* 113 */
		0,999999999,9,
		6,460,
		4,4,
		112,114,123,123 ,0},

	{"Total KB uploaded   :",1,15,			/* 114 */
		0,999999999,9,
		6,416,
		4,4,
		113,115,124,124 ,0},

	{"Total KB downloaded :",1,16,			/* 115 */
		0,999999999,9,
		6,424,
		4,4,
		114,116,125,125 ,0},

	{"Byte credits        :",1,17,			/* 116 */
		-999999999,999999999,10,
		6,436,
		4,4,
		115,106,126,126 ,0},

	{"Last call date      :",40,7,			/* 117 */
		0,0,15,
		7,354,
		4,4,
		126,118,107,107 ,0},

	{"Time today (1/10s)  :",40,8,			/* 118 */
		0,14400,5,
		4,470,
		4,4,
		117,119,108,108 ,0},

	{"Calls today         :",40,9,			/* 119 */
		0,32767,5,
		4,468,
		4,4,
		118,120,109,109 ,0},

	{"Total calls         :",40,10,			/* 120 */
		0,999999999,10,
		6,404,
		4,4,
		119,121,110,110 ,0},

	{"Time credits (1/10s):",40,11,			/* 121 */
		0,999999999,9,
		6,440,
		4,4,
		120,122,111,111 ,0},

	{"Balance (cents)     :",40,13,			/* 122 */
		-999999999,999999999,9,
		6,444,
		4,4,
		121,123,112,112 ,0},

	{"P-file points       :",40,14,			/* 123 */
		-999999999,999999999,9,
		6,452,
		4,4,
		122,124,113,113 ,0},

	{"Network credits     :",40,15,			/* 124 */
		-999999999,999999999,10,
		6,448,
		4,4,
		123,125,114,114 ,0},

	{"Public messages     :",40,16,			/* 125 */
		0,999999999,9,
		6,408,
		4,4,
		124,126,115,115 ,0},

	{"Private messages    :",40,17,			/* 126 */
		0,999999999,9,
		6,412,
		4,4,
		125,117,116,116 ,0},

	{"<< Previous screen   ", 1, 5,			/* 127 */
		0, 0, 0,
		-1, 0,
		5, 0,
		128, 129, 127, 127 ,0},

	{"<< Exit              ", 1, 4,			/* 128 */
		0, 0, 0,
		-1, 0,
		5, -10,
		142, 127, 128, 128 ,0},

	{"Logon macro         :",1,7,			/* 129 */
		0,0,35,
		2,198,
		5,5,
		127,130,129,129 ,0},

	{"Control-E macro     :",1,8,			/* 130 */
		0,0,35,
		2,234,
		5,5,
		129,131,130,130 ,0},

	{"Control-F macro     :",1,9,			/* 131 */
		0,0,35,
		2,270,
		5,5,
		130,133,131,131 ,0},

	{"Organization        :",1,8,			/* 132 */
		0,0,30,
		2,306,
		0,0,
		81,82,132,132 ,0},

	{"Response pausing    :",1,10,			/* 133 */
		1225,3,35,
		9,394,
		5,5,
		131,134,133,133 ,0},

	{"Help level          :",1,12,			/* 134 */
		1168,4,16,
		9,396,
		5,5,
		133,135,161,161 ,0},

	{"Time format         :",1,13,			/* 135 */
		1181,2,16,
		9,385,
		5,5,
		134,136,162,162 ,0},

	{"Auto hide/muffle    :",1,14,			/* 136 */
		1234,4,16,
		9,578,
		5,5,
		135,166,163,163 ,0},

	{"Computer type       :",1,18,			/* 137 */
		30,0,16,
		10,397,
		5,5,
		168,138,143,143 ,0},

	{"More? mode          :",1,19,			/* 138 */
		0,0,0,
		0,386,
		5,5,
		137,139,144,144 ,0},

	{"Mail box open       :",1,20,			/* 139 */
		0,0,0,
		0,401,
		5,5,
		138,140,145,145 ,0},

	{"ANSI support        :",1,21,			/* 140 */
		0,0,0,
		0,392,
		5,5,
		139,141,146,146 ,0},

	{"ANSI colors         :",1,22,			/* 141 */
		0,0,0,
		0,390,
		5,5,
		140,142,147,147 ,0},

	{"Screen width        :",1,23,			/* 142 */
		22,80,2,
		3,399,
		5,5,
		141,128,148,148 ,0},

	{"Graphics set        :",40,18,			/* 143 */
		1218,5,15,
		9,395,
		5,5,
		169,144,137,137 ,0},

	{"Time Zone           :",40,19,			/* 144 */
		-23,23,3,
		3,389,
		5,5,
		143,145,138,138 ,0},

	{"Mail box forward to :",40,20,			/* 145 */
		0,9999,4,
		4,402,
		5,5,
		144,146,139,139 ,0},

	{"ANSI tabs           :",40,21,			/* 146 */
		0,0,0,
		0,391,
		5,5,
		145,147,140,140 ,0},

	{"Line feeds          :",40,22,			/* 147 */
		0,0,0,
		0,387,
		5,5,
		146,148,141,141 ,0},

	{"Screen height       :",40,23,			/* 148 */
		5,50,2,
		3,400,
		5,5,
		147,161,142,142 ,0},

	{"No!  Don't do it!    ", 1, 5,			/* 149 */
		0,0,0,
		-1,0,
		8,0,
		149,149,150,150 ,0},

	{"Yes!  Kill account.  ", 23, 5,		/* 150 */
		0,0,0,
		-1,0,
		8,9,
		150,150,149,149,0 },

	{"Sex                 :", 1, 16,		/* 151 */
		1141, 2, 10,
		9, 393,
		0, 0,
		88, 89, 151, 151 ,0},

	{"Daily pfile minutes :", 40, 22,		/* 152 */
		0, 999, 3,
		4, 580+70,
		2, 2,
		62, 153, 152, 152 ,0},

	{"Send log to user #  :", 40, 23,		/* 153 */
		0, 9999, 4,
		4, 580+72,
		2, 2,
		152, 53, 153, 153, 0},

	{"Alarm sysop  @ logon:", 53, 11,		/* 154 */
		0, 0, 9, 
		1,580+60,
		1,1,
		42, 155, 25, 7 ,0},

	{"Open screen  @ logon:", 53, 12,		/* 155 */
		0, 0, 10, 
		1,580+60,
		1,1,
		154, 157, 26, 8 ,0},

	{"Log verbosity flags :", 1, 10,		/* 156 */
		0,0,40,
		8, 580+74,
		2,2,
		52,63,156,156 },

	{"Open capture @ logon:", 53, 13,		/* 157 */
		0, 0, 11,
		1,580+60,
		1,1,
		155, 158, 27, 9 ,0},

	{"Send FIDO NetMail   :", 53, 14,		/* 158 */
		0, 0, 12,
		1,580+60,
		1,1,
		157, 159, 28, 10 ,0},

	{"FIDO FREQ and FSEND :", 53, 15,		/* 159 */
		0, 0, 13,
		1,580+60,
		1,1,
		158, 160, 29, 11,0},

	{"NetMail ANY address :", 53, 16,		/* 160 */
		0, 0, 14,
		1,580+60,
		1,1,
		159, 43, 30, 12 ,0},

	{"Private Name        :",40,12,			/* 161 */
		0,0,0,
		0,489,
		5,5,
		148,162,134,134 ,0},

	{"Private Age         :",40,13,			/* 162 */
		0,0,0,
		0,490,
		5,5,
		161,163,135,135 ,0},

	{"Private Address     :",40,14,			/* 163 */
		0,0,0,
		0,491,
		5,5,
		162,164,136,136 ,0},

	{"Private Voice #     :",40,15,			/* 164 */
		0,0,0,
		0,492,
		5,5,
		163,165,166,166 ,0},

	{"Private Data #      :",40,16,			/* 165 */
		0,0,0,
		0,493,
		5,5,
		164,169,167,167 ,0},

	{"Text editor         :",1,15,			/* 166 */
		29,0,16,
		10,577,
		5,5,
		136,167,164,164,0 },

	{"Text translation    :",1,16,			/* 167 */
		23,0,16,
		10,384,
		5,5,
		166,168,165,165,4 },

	{"Yank EOL sequence   :",1,17,			/* 168 */
		1341,3,16,
		9,384,
		5,5,
		167,137,169,169,0 },

	{"Yank ARCHIVE method :",40,17,			/* 169 */
		15,0,16,
		10,576,
		5,5,
		165,143,168,168,0 },
};

struct VDEentry ved3[] = {
	{"Save changes         ", 1, 5,		/* 0 */
		0,0,0,
		-1,0,
		10,-1,
		0,0,1,1 ,0},

	{"Exit without saving  ", 23, 5,	/* 1 */
		0,0,0,
		-1,0,
		10,-2,
		1,1,0,0 ,0},

	{"<< Exit              ", 1, 4,		/* 2 */
		0, 0, 0,
		-1, 0,
		0, -10,
		17, 4, 2, 2 ,0},

	{"Subboard list #     :", 1, 2,		/* 3 */
		0, 0, -1,
		16+6, 1806,			/* port data UZ[0] */
		0, 0,
		0, 0, 0, 0 ,0},

	{"Subboard title      :", 1, 6,		/* 4 */
		0,0,30,
		2,0,
		0,0,
		2,5,4,4 ,0},

	{"Path to data        :",1,7,		/* 5 */
		0,0,39,
		2,52,
		0,0,
		4,84,5,5 ,12},

	{"Unique dirname      :",1,9,		/* 6 */
		0,0,20,
		2,31,
		0,0,
		84,7,6,6 ,8},

	{"Partitions          :",1,10,		/* 7 */
		0,0,40,
		8,92,
		0,0,
		6,80,7,7 ,14},

	{"ARCs uploadable     :",1,13,		/* 8 */
		0,0,40,
		8,254,
		0,0,
		86,9,8,8 ,6},

	{"Item arrangement    :",1,14,		/* 9 */
		351,0x00010007,30,
		9,233,
		0,0,
		8,81,9,9 ,6},

	{"Upload file ratio#  :",1,16,		/* 10 */
		0,3,1,
		4,262,
		0,0,
		81,11,18,18 ,4},

	{"Upload file charge# :",1,17,		/* 11 */
		0,3,1,
		4,264,
		0,0,
		10,13,19,19 ,4},

	{"",1,18,				/* 12 */
		0,999,3,
		4,224,
		-20,-20,
		11,13,20,20 ,4},

	{"Dnload file charge #:",1,18,		/* 13 */
		0,3,1,
		3,245,
		0,0,
		11,14,21,21 ,4},

	{"Amaint Inactive days:",1,19,		/* 14 */
		0,32767,5,
		4,234,
		0,0,
		13,15,14,14 ,6},

	{"Upload time return %:",1,20,		/* 15 */
		0,9999,4,
		4,226,
		0,0,
		14,16,22,22,4},

	{"Upload minimum free :",1,21,		/* 16 */
		0,999999999,10,
		6,228,
		0,0,
		15,17,23,23 ,4},

	{"Minutes time lock   :",1,22,		/*17  */
		0,9999,4,
		4,330,
		0,0,
		16,2,24,24 ,0},

	{"Upload byte ratio#  :",40,16,		/* 18 */
		0,3,1,
		4,258,
		0,0,
		85,19,10,10 ,4},

	{"Upload byte charge# :",40,17,		/* 19 */
		0,3,1,
		4,260,
		0,0,
		18,21,11,11 ,4},

	{"",40,18,				/* 20 */
		0,999,3,
		4,222,
		-20,-20,
		19,21,12,12 ,4},

	{"Dnload byte charge #:",40,18,		/* 21 */
		0,3,1,
		3,246,
		0,0,
		19,22,13,13 ,4},

	{"Edit access vars   >>",40,20,		/*22  */
		0,0,0,
		-1,0,
		0,2,
		21,23,15,15 ,0},

	{"Edit other flags   >>",40,21,		/* 23 */
		0,0,0,
		-1,0,
		0,3,
		22,24,16,16 ,0},

	{"Edit suboperators  >>",40,22,		/* 24 */
		0,0,0,
		-1,0,
		0,1,
		23,85,17,17 ,12},

	{"<< Previous screen   ", 1, 5,		/* 25 */
		0, 0, 0,
		-1, 0,
		1, 0,
		26, 27, 25, 25  ,0},

	{"<< Exit              ", 1, 4,		/* 26 */
		0, 0, 0,
		-1, 0,
		1, -10,
		29, 27, 26, 26  ,0},

	{"Sub-op account #  1 :", 1,7,		/*27  */
		0,9999,4,
		4,136,
		1,1,
		25,28,30,30 ,0},

	{"Sub-op account #  2 :", 1,8,		/* 28 */
		0,9999,4,
		4,138,
		1,1,
		27,29,31,31 ,0},

	{"Sub-op account #  3 :", 1,9,		/* 29  */
		0,9999,4,
		4,140,
		1,1,
		28,26,32,32,0},

	{"Sub-op account #  4 :", 40,7,		/*30  */
		0,9999,4,
		4,142,
		1,1,
		32,31,27,27 ,0},

	{"Sub-op account #  5 :", 40,8,		/* 31 */
		0,9999,4,
		4,144,
		1,1,
		30,32,28,28 ,0},

	{"Sub-op account #  6 :", 40,9,		/*32  */
		0,9999,4,
		4,146,
		1,1,
		31,30,29,29 ,0},

	{"", 40,8,				/* 33 */
		0,9999,4,
		4,148,
		-20,-20,
		32,34,28,28 ,0},

	{"", 40,9,				/* 34 */
		0,9999,4,
		4,150,
		-20,-20,
		33,35,29,29 ,0},

	{"", 40,10,				/* 35 */
		0,9999,4,
		4,152,
		-20,-20,
		34,36,30,30 ,0},

	{"", 40,11,				/* 36 */
		0,9999,4,
		4,154,
		-20,-20,
		35,32,31,31 ,0},

	{"<< Previous screen   ", 1, 5,		/* 37 */
		0, 0, 0,
		-1, 0,
		2, 0,
		38,39 ,37 ,37  ,0},

	{"<< Exit              ", 1, 4,		/*38  */
		0, 0, 0,
		-1, 0,
		2, -10,
		53, 37, 38,38  ,0},

	{"Access groups       :", 1,7,		/* 39 */
		0,0,40,
		8,166,
		2,2,
		37,40,39,39 ,0},

	{"Flags required      :", 1,8,		/* 40 */
		0,0,40,
		8,162,
		2,2,
		39,41,40,40 ,0},

	{"Download groups     :", 1,9,		/* 41 */
		0,0,40,
		8,182,
		2,2,
		40,42,41,41 ,4},

	{"Upload groups       :", 1,10,		/* 42 */
		0,0,40,
		8,178,
		2,2,
		41,43,42,42 ,4},

	{"Post groups         :", 1,11,		/* 43 */
		0,0,40,
		8,170,
		2,2,
		42,44,43,43 ,6},

	{"Response groups     :", 1,12,		/*  44*/
		0,0,40,
		8,174,
		2,2,
		43,45,44,44 ,6},

	{"Restricted hours    :", 1,13,		/* 45 */
		0,0,40,
		8,190,
		2,2,
		44,46,45,45 ,0},

	{"Groups during hours :", 1,14,		/*46  */
		0,0,40,
		8,198,
		2,2,
		45,47,46,46 ,0},

	{"Flags during hours  :", 1,15,		/*  47 */
		0,0,40,
		8,194,
		2,2,
		46,48,47,47 ,0},

	{"Baud-restrict hours :", 1,16,		/* 48 */
		0,0,40,
		8,206,
		2,2,
		47,49,48,48 ,0},

	{"MinBaud during hours:", 1,17,		/* 49 */
		0,99999,5,
		6,202,
		2,2,
		48,50,49,49 ,0},

	{"Computer types      :", 1,18,		/* 50 */
		0,0,40,
		8,186,
		2,2,
		49,51,50,50 ,0},

	{"Youngest age        :", 1,19,		/* 51 */
		0,99,2,
		4,212,
		2,2,
		50,52,51,51 ,0},

	{"Oldest age          :", 1,20,		/* 52 */
		0,99,2,
		4,214,
		2,2,
		51,53,52,52 ,0},

	{"Gender restriction  :", 1,21,		/* 53 */
		1662,3,10,
		9,210,
		2,2,
		52,38,53,53 ,0},

	{"<< Previous screen   ", 1, 5,		/* 54 */
		0, 0, 0,
		-1, 0,
		3, 0,
		55, 56, 54,54  ,0},

	{"<< Exit              ", 1, 4,		/* 55 */
		0, 0, 0,
		-1, 0,
		3, -10,
		90, 54, 55,55  ,0},

	{"Subboard closed     :", 1,7,		/* 56 */
		0,0,0,
		0,161,
		3,3,
		54,57,67,67 ,0},

	{"Default as dropped  :", 1,8,		/* 57 */
		0,0,0,
		0,267,
		3,3,
		56,58,68,68 ,4},

	{"Show names/handles  :", 1,9,		/* 58 */
		1767,6,15,
		9,236,
		3,3,
		57,59,69,69 ,6},

	{"Address messages    :", 1,10,		/* 59 */
		0,0,0,
		0,237,
		3,3,
		58,60,70,70 ,6},

	{"Anonymous messages  :", 1,11,		/* 60 */
		1803,3,14,
		9,238,
		3,3,
		59,61,60,60 ,6},

	{"New file validation :", 1,12,		/* 61 */
		0,0,0,
		0,240,
		3,3,
		60,62,72,72 ,6},

	{"Global dup check    :", 1,13,		/* 62 */
		0,0,0,
		0,241,
		3,3,
		61,63,73,73 ,4},

	{"No post/rep charges :", 1,14,		/* 63 */
		0,0,0,
		0,253,
		3,3,
		62,64,74,74 ,6},

	{"Immediate transform :", 1,15,		/* 64 */
		0,0,0,
		0,248,
		3,3,
		63,65,75,75 ,6},

	{"Weed item responses :", 1,16,		/* 65 */
		0,0,0,
		0,250,
		3,3,
		64,66,76,76 ,6},

	{"Allow aliases       :", 1,17,		/* 66 */
		0,0,0,
		0,211,
		3,3,
		65,78,77,77 ,6},

	{"Invitation only     :", 40,7,		/* 67 */
		0,0,0,
		0,266,
		3,3,
		91,68,56,56 ,4},

	{"QWK reply upload sub:", 40,8,		/* 68 */
		0,0,0,
		0,302,
		3,3,
		67,69,57,57 ,16},

	{"Disable ALL MCI     :", 40,9,		/* 69 */
		0,0,0,
		0,243,
		3,3,
		68,70,58,58 ,6},

	{"Private messages    :", 40,10,		/* 70 */
		1803,3,14,
		9,244,
		3,3,
		69,72,59,59 ,6},

	{"", 40,11,					/*71  */
		0,0,0,
		0,239,
		-20,-20,
		70,72,60,60 ,6},

	{"Show unv. files     :", 40,12,		/*  72*/
		0,0,0,
		0,242,
		3,3,
		70,73,61,61 ,6},

	{"No signatures       :", 40,13,		/*  73*/
		0,0,0,
		0,251,
		3,3,
		72,74,62,62 ,6},

	{"No read charges     :", 40,14,		/* 74 */
		0,0,0,
		0,252,
		3,3,
		73,75,63,63 ,6},

	{"Immediate testing   :", 40,15,		/* 75 */
		0,0,0,
		0,247,
		3,3,
		74,76,64,64 ,6},

	{"Amaint adopt orphs  :", 40,16,		/* 76 */
		0,0,0,
		0,249,
		3,3,
		75,77,65,65,6},

	{"Kill/edit own items :", 40,17,		/* 77 */
		0,0,0,
		0,268,
		3,3,
		76,79,66,66,6},

	{"Add new vote topics :", 1,18,			/* 78 */
		0,0,0,
		0,157,
		3,3,
		66,87,79,79 ,6},

	{"Carbon copy to EMail:", 40,18,		/* 79 */
		0,0,0,
		0,304,
		3,3,
		77,89,78,78 ,6},

	{"ARCs transformable  :", 1,11,			/* 80 */
		0,0,40,
		8,270,
		0,0,
		7,86,80,80 ,6},

	{"Subboard use rate#  :", 1,15,			/* 81 */
		0,3,1,
		3,303,
		0,0,
		9,10,85,85,4},

	{"", 1,20,					/* 82 */
		0,0,0,
		0,302,
		-20,-20,
		78,55,82,82 ,16},

	{"Physical subboard # :", 1, 1,			/* 83 */
		0, 0, -1,
		16+6, 1806+20,				/* port data UZ[5] */
		0, 0,
		0, 0, 0, 0 ,0},

	{"Path to net I/O     :", 1, 8,			/* 84 */
		0,0,19,
		2,274,
		0,0,
		5,6,5,5 ,14 },

	{"Network affiliation :",40,15,		/* 85  */
		19,0,16,
		10,294,
		0,0,
		24,18,81,81 ,14 },

	{"Transform to        :", 1,12,		/* 86 */
		0,0,4,
		2,297,
		0,0,
		80, 8, 86,86 ,6},

	{"Def. item overrides :", 1,20,		/* 87 */
		0,0,0,
		0,239,
		3,3,
		78,88,87,87 ,6},

	{"File payback     (#):",1,21,		/* 88 */
		-32768,32767,6,
		4,122,
		3,3,
		87,90,89,89,6},

	{"Byte payback     (%):",40,21,		/* 89 */
		-1000,1000,5,
		4,120,
		3,3,
		79,91,88,88,6},

	{"File cost to DLer(#):",1,22,		/* 90 */
		-32768,32767,6,
		4,224,
		3,3,
		88,55,91,91 ,4},

	{"Byte cost to DLer(%):",40,22,		/* 91 */
		-1000,1000,3,
		4,222,
		3,3,
		89,67,90,90 ,4},
};

struct VDEentry ved4[] = {
	{"Save changes         ", 1, 5,		/* 0 */
		0,0,0,
		-1,0,
		10,-1,
		0,0,1,1,0},

	{"Exit without saving  ", 23, 5,	/* 1 */
		0,0,0,
		-1,0,
		10,-2,
		1,1,0,0,0},

	{"<< Exit              ", 1, 4,		/* 2 */
		0, 0, 0,
		-1, 0,
		0, -10,
		28,4,2,2,0},

	{"Area name           :", 1, 2,		/* 3 */
		0, 0, -1,
		16+11, 1806,
		0, 0,
		0, 0, 0, 0 ,0},

	{"Access groups       :", 1,6,		/* 4 */
		0,0,40,
		8,60,
		0, 0,
		2,5,4,4,0},

	{"Flags required      :", 1,7,		/* 5 */
		0,0,40,
		8,64,
		0, 0,
		4,6,5,5,0},

	{"Restricted hours    :", 1,8,		/* 6 */
		0,0,40,
		8,68,
		0, 0,
		5,7,6,6,0},

	{"Groups during hours :", 1,9,		/* 7 */
		0,0,40,
		8,76,
		0, 0,
		6,8,7,7,0},

	{"Flags during hours  :", 1,10,		/* 8 */
		0,0,40,
		8,72,
		0, 0,
		7,9,8,8,0},

	{"Baud-restrict hours :", 1,11,		/* 9 */
		0,0,40,
		8,84,
		0, 0,
		8,10,9,9,0},

	{"MinBaud during hours:", 1,12,		/* 10 */
		0,99999,5,
		6,80,
		0, 0,
		9,11,10,10,0},

	{"Computer types      :", 1,13,		/* 11 */
		0,0,40,
		8,164,
		0, 0,
		10,12,11,11,0},

	{"Youngest age        :", 1,15,		/* 12 */
		0,99,2,
		4,88,
		0, 0,
		11,14,13,13,0},

	{"Oldest age          :", 40,15,	/* 13 */
		0,99,2,
		4,90,
		0, 0,
		29,15,12,12,0},

	{"File cost to DLer(#):",1,16,		/* 14 */
		0,999,3,
		4,92,
		0,0,
		12,16,15,15,0},

	{"Dnload file charge #:",40,16,		/* 15 */
		0,3,1,
		3,94,
		0,0,
		13,17,14,14,0},

	{"Byte cost to DLer(%):",1,17,		/* 16 */
		0,999,3,
		4,170,
		0,0,
		14,18,17,17,0},

	{"Dnload byte charge #:",40,17,		/* 17 */
		0,3,1,
		3,95,
		0,0,
		15,19,16,16,0},

	{"Minutes time lock   :",1,18,		/* 18 */
		0,9999,4,
		4,168,
		0,0,
		16,20,19,19,0},

	{"Gender restriction  :", 40,18,	/* 19 */
		1662,3,10,
		9,100,
		0, 0,
		17,21,18,18,0},

	{"Area use rate#      :", 1,19,		/* 20 */
		0,3,1,
		3,101,
		0,0,
		18,24,21,21,0},

	{"Subboard closed     :", 40,19,	/* 21 */
		0,0,0,
		0,102,
		0, 0,
		19,25,20,20,0},

	{"", 1,20,				/* 22 */
		0,3,1,
		4,96,
		-20,-20,
		20,24,22,22,0},

	{"", 40,20,				/* 23 */
		0,3,1,
		4,97,
		-20,-20,
		21,25,22,22,0},

	{"Sub-op account #  1 :", 1,21,		/* 24 */
		0,9999,4,
		4,40,
		0, 0,
		20,26,25,25,0},

	{"Sub-op account #  2 :", 40,21,	/* 25 */
		0,9999,4,
		4,42,
		0, 0,
		21,27,24,24,0},

	{"Sub-op account #  3 :", 1,22,		/* 26  */
		0,9999,4,
		4,44,
		0, 0,
		24,28,27,27,0},

	{"Sub-op account #  4 :", 40,22,	/* 27 */
		0,9999,4,
		4,46,
		0, 0,
		25,29,26,26,0},

	{"Sub-op account #  5 :", 1,23,		/* 28 */
		0,9999,4,
		4,48,
		0, 0,
		26,2,29,29 ,0},

	{"Sub-op account #  6 :", 40,23,	/* 29 */
		0,9999,4,
		4,50,
		0, 0,
		27,13,28,28,0},
};

struct VDEentry ved5[] = {
	{"Save changes         ", 1, 5,		/* 0 */
		0,0,0,
		-1,0,
		10,-1,
		0,0,1,1,0},

	{"Exit without saving  ", 23, 5,	/* 1 */
		0,0,0,
		-1,0,
		10,-2,
		1,1,0,0,0},

	{"<< Exit              ", 1, 4,		/* 2 */
		0, 0, 0,
		-1, 0,
		0, -10,
		23,3,2,2,0},

	{"DOS filename:", 1, 6,			/* 3 */
		0, 0, 53,
		2, 2,
		0, 0,
		2, 4, 3, 3 ,0},

	{"Description :", 1, 7,			/* 4 */
		0, 0, 63,
		2, 56,
		0, 0,
		3, 5, 4, 4 ,0},

	{"Arguments   :", 1, 8,			/* 5 */
		0, 0, 63,
		2, 120,
		0, 0,
		4, 6, 5, 5 ,1+2},

	{"Access groups       :", 1,10,		/* 6 */
		0,0,40,
		8,184,
		0, 0,
		5,7,6,6,0},

	{"Flags required      :", 1,11,		/* 7 */
		0,0,40,
		8,188,
		0, 0,
		6,8,7,7,0},

	{"Post date           :",1,12,		/* 8 */
		0,0,15,
		7,192,
		0,0,
		7,10,9,9,1},

	{"Purge date          :",40,12,		/* 9 */
		0,0,15,
		7,222,
		0,0,
		20,11,8,8,1},

	{"Item use rate#      :", 1,13,		/* 10 */
		0,3,1,
		4,198,
		0,0,
		8,12,11,11,1},

	{"Item disabled       :", 40,13,	/* 11 */
		0,0,0,
		0,205,
		0, 0,
		9,13,10,10,0},

	{"Debit daily time    :", 1,14,		/* 12 */
		0,0,0,
		0,204,
		0, 0,
		10,14,13,13,1},

	{"One user at a time  :", 40,14,	/* 13 */
		0,0,2,
		0,202,
		0, 0,
		11,15,12,12,1+2},

	{"Disable MCI         :", 1,15,		/* 14 */
		0,0,0,
		0,203,
		0, 0,
		12,16,15,15,1},

	{"Disable word-wrap   :",40,15,		/* 15 */
		0,0,1,
		0,203,
		0, 0,
		13,17,14,14,1},

	{"Disable More?       :", 1,16,		/* 16 */
		0,0,2,
		0,203,
		0, 0,
		14,18,17,17,1},

	{"Disable sysop MCI   :",40,16,		/* 17 */
		0,0,3,
		0,203,
		0, 0,
		15,20,16,16,1},

	{"Enable SkyPix       :", 1,17,		/* 18 */
		0,0,5,
		0,203,
		0,0,
		16,21,20,20,1},

	{"Item type           :", 1,2,		/* 19 */
		1788,6,-1,
		9,206,
		0,0,
		0,0,0,0,0},

	{"Delete when purged  :", 40,17,	/* 20 */
		0,0,0,
		0,207,
		0, 0,
		17,9,18,18,0},

	{"Raw console mode    :", 1,19,		/* 21 */
		0,0,2,
		0,201,
		0, 0,
		18,22,21,21,1+4},

	{"CR-->LF translation :", 1,20,		/* 22 */
		0,0,1,
		0,201,
		0, 0,
		21,23,22,22,1+4},

	{"Echo input          :", 1,21,		/* 23 */
		0,0,0,
		0,201,
		0, 0,
		22,2,23,23,1+4},
};

struct VDEentry ved6[] = {
	{"Save changes         ", 1, 5,		/* 0 */
		0,0,0,
		-1,0,
		10,-1,
		0,0,1,1,0},

	{"Exit without saving  ", 23, 5,	/* 1 */
		0,0,0,
		-1,0,
		10,-2,
		1,1,0,0,0},

	{"<< Exit              ", 1, 4,		/* 2 */
		0, 0, 0,
		-1, 0,
		0, -10,
		32,4,2,2,0},

	{"Subboard name       :", 1, 2,		/* 3 */
		0, 0, -1,
		16+11, 1810,
		0, 0,
		0, 0, 0, 0 ,0},

	{"Item title          :",1,6,		/* 4 */
		0,0,40,
		2,0,
		0,0,
		2,5,4,4,0},

	{"Size                :",1,7,		/* 5 */
		0,999999999,9,
		6,112,
		0,0,
		4,7,6,6,1},

	{"Partition           :",40,7,		/* 6 */
		0,999,3,
		4,58,
		0,0,
		33,8,5,5,1},

	{"Last download date  :",1,8,		/* 7 */
		0,0,15,
		7,52,
		0,0,
		5,9,8,8,1},

	{"Purge date          :",40,8,		/* 8 */
		0,0,15,
		7,142,
		0,0,
		6,10,7,7,0},

	{"Download after date :",1,9,		/* 9 */
		0,0,15,
		7,130,
		0,0,
		7,11,10,10,1},

	{"Download before date:",40,9,		/* 10 */
		0,0,15,
		7,136,
		0,0,
		8,12,9,9,1},

	{"Downloads           :",1,10,		/* 11 */
		0,999999999,9,
		6,60,
		0,0,
		9,13,12,12,1},

	{"Best CPS            :",40,10,		/* 12 */
		0,999999,6,
		6,148,
		0,0,
		10,14,11,11,1},

	{"File charge$ to ULer:",1,11,		/* 13 */
		-32768,32767,6,
		4,68,
		0,0,
		11,15,14,14,1},

	{"Byte charge$ to ULer:",40,11,		/* 14 */
		-999999999,999999999,9,
		6,64,
		0,0,
		12,16,13,13,1},

	{"File credits to ULer:",1,12,		/* 15 */
		-999999999,999999999,9,
		6,120,
		0,0,
		13,17,16,16,1},

	{"Byte credits to ULer:",40,12,		/* 16 */
		-999999999,999999999,9,
		6,116,
		0,0,
		14,19,15,15,1},

	{"These vals. override:",1,14,		/* 17 */
		0,0,0,
		0,100,
		0,0,
		15,18,17,17,0},

	{"File payback to ULer:",1,15,		/* 18 */
		-32768,32767,6,
		4,102,
		0,0,
		17,20,19,19,1},

	{"Byte payback to ULer:",40,15,		/* 19 */
		-999999999,999999999,9,
		6,104,
		0,0,
		16,21,18,18,1},

	{"File cost to DLer(#):",1,16,		/* 20 */
		-32768,32767,6,
		4,128,
		0,0,
		18,22,21,21,1},

	{"Byte cost to DLer   :",40,16,		/* 21 */
		-999999999,999999999,9,
		6,124,
		0,0,
		19,23,20,20,1},

	{"Stop inactive purge :",1,18,		/* 22 */
		0,0,0,
		0,75,
		0,0,
		20,24,23,23,0},

	{"Delete when purged  :",40,18,		/* 23 */
		0,0,0,
		0,81,
		0,0,
		21,25,22,22,1},

	{"Purge after download:",1,19,		/* 24 */
		1800,3,14,
		9,85,
		0,0,
		22,26,25,25,1},

	{"Purge at next amaint:",40,19,		/* 25 */
		0,0,0,
		0,72,
		0,0,
		23,27,24,24,0},

	{"Free download       :",1,20,		/* 26 */
		0,0,0,
		0,74,
		0,0,
		24,28,27,27,1},

	{"Notify uploader @DL :",40,20,		/* 27 */
		0,0,0,
		0,71,
		0,0,
		25,29,26,26,1},

	{"Disable responses   :",1,21,		/* 28 */
		0,0,0,
		0,73,
		0,0,
		26,30,29,29,0},

	{"Sysop favorite      :",40,21,		/* 29 */
		0,0,0,
		0,76,
		0,0,
		27,31,28,28,0},

	{"File is off-line    :",1,22,		/* 30 */
		0,0,0,
		0,82,
		0,0,
		28,32,31,31,1},

	{"Integrity check     :",40,22,		/* 31 */
		1796,4,14,
		9,83,
		0,0,
		29,33,30,30,1},

	{"ASCII Grab when Read:",1,23,		/* 32 */
		0,0,0,
		0,84,
		0,0,
		30,2,33,33,1},

	{"Vote link serial#   :",40,23,		/* 33 */
		0,999999999,9,
		6,108,
		0,0,
		31,6,32,32,0},
};

	if( fh = Open( "systext:vde/agroup", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved, sizeof( struct VDEentry ), 87 );
		Close( fh );

		printf( "agorup written successfully!\n" );
	}
	else	printf( "problems writing agroup\n" );

	if( fh = Open( "systext:vde/udata", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved2, sizeof( struct VDEentry ), 170 );
		Close( fh );

		printf( "udata written successfully!\n" );
	}
	else	printf( "problems writing udata\n" );

	if( fh = Open( "systext:vde/subboard", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved3, sizeof( struct VDEentry ), 92 );
		Close( fh );

		printf( "subboard written successfully!\n" );
	}
	else	printf( "problems writing subboard\n" );

	if( fh = Open( "systext:vde/list", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved4, sizeof( struct VDEentry ), 30 );
		Close( fh );

		printf( "list written successfully!\n" );
	}
	else	printf( "problems writing list\n" );

	if( fh = Open( "systext:vde/list-item", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved5, sizeof( struct VDEentry ), 24 );
		Close( fh );

		printf( "list-item written successfully!\n" );
	}
	else	printf( "problems writing list-item\n" );

	if( fh = Open( "systext:vde/subboard-item", MODE_NEWFILE ) ) {
		FWrite( fh, (char*)ved6, sizeof( struct VDEentry ), 34 );
		Close( fh );

		printf( "subboard-item written successfully!\n" );
	}
	else	printf( "problems writing subboard-item\n" );
}
